﻿
/**语言弹窗*/
.popup {
    height: 100%;
    display: flex;
    align-items: center;
    position: relative;
    cursor: pointer;
}

.lang-box .lang-popup {
    display: none;
}

.popup .lang-popup {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 30px;
    left: -160px;
    width: 370px;
    z-index: 101;
    padding: 20px 20px 30px;
    border-radius: 8px;
    text-align: center;
    margin-right: 10px;
    background-color: rgba(255, 255, 255, 1);
    box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.1);
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s 0.5s, opacity 0.5s;
}

.popup .lang-popup.active,
.popup:hover .lang-popup {
    visibility: visible;
    opacity: 1;
    transition: visibility 0s, opacity 0.5s;
}

.popup .lang-item-box {
    display: flex;
    flex-wrap: wrap;
}

.popup .lang-popup .lang-popup-item {
    display: flex;
    align-items: center;
    width: fit-content;
    border-radius: 8px;
    color: rgba(16, 16, 16, 1);
    font-size: 14px;
    padding: 7px 12px;
    cursor: pointer;
    margin-right: 16px;
    margin-top: 17px;
    background-color: rgba(255, 255, 255, 1);
    border: 1px solid rgba(219, 219, 219, 1);
    font-weight: 500;
}

    .popup .lang-popup .lang-popup-item.active,
    .popup .lang-popup .lang-popup-item:hover {
        border-color: var(--main-color)
    }

    .popup .lang-popup .lang-popup-item img {
        max-width: 17px;
        max-height: 12px;
        margin-right: 10px;
    }

.lang-title {
    color: #000000;
    font-size: 14px;
    font-weight: 600;
    text-align: left;
    padding-top: 6px;
    /*padding-bottom: 3px;*/
}

.play-lang-title {
    padding-top: 17px;
    padding-bottom: 10px;
}

.lang-box .custom-select {
    position: relative;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.lang-box .selected-option {
    width: 100%;
    height: 100%;
    color: #999;
    line-height: 1;
    border-radius: 4px;
    cursor: pointer;
    text-align: left;
    outline: none;
    border: 1px solid #DBDBDB;
}

.lang-box .options {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    border-top: none;
    background-color: #fff;
    list-style: none;
    padding: 0;
    margin: 0;
    border-radius: 4px;
    box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.1);
    transition: visibility 0s, opacity 0.5s linear;
}

    .lang-box .options li {
        padding: 8px 12px;
        cursor: pointer;
        text-align: left;
    }

        .lang-box .options li:hover {
            background-color: #f5f7fa;
        }

.lang-box .custom-select.custom-select-active .options {
    display: block;
}

.lang-box .search-triangle {
    position: absolute;
    right: 10px;
}

.lang-box .custom-select-active .search-triangle {
    transform: rotate(180deg);
}

.lang-box .play-btn {
    height: 40px;
    margin-top: 17px;
    color: #fff;
    background: var(--main-color);
    border-radius: 8px;
    font-size: 16px;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
}


.lang-box .lang {
    width: 17px;
    height: 12px;
    margin-top: 1px;
    margin-right: 8px;
}
